# Method: flightclass.patch

- [HTTP request](https://developers.google.com/wallet/reference/rest/v1/flightclass/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/wallet/reference/rest/v1/flightclass/patch#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/wallet/reference/rest/v1/flightclass/patch#body.request_body)
- [Response body](https://developers.google.com/wallet/reference/rest/v1/flightclass/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/wallet/reference/rest/v1/flightclass/patch#body.aspect)

Updates the flight class referenced by the given class ID. This method supports patch semantics.

### HTTP request

`PATCH https://walletobjects.googleapis.com/walletobjects/v1/flightClass/{resourceId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resourceId` | `string` The unique identifier for a class. This ID must be unique across all classes from an issuer. This value should follow the format <var translate="no">issuer ID</var>.<var translate="no">identifier</var> where the former is issued by Google and latter is chosen by you. Your unique identifier should only include alphanumeric characters, '.', '_', or '-'. |

### Request body

The request body contains an instance of `https://developers.google.com/wallet/reference/rest/v1/flightclass#FlightClass`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/wallet/reference/rest/v1/flightclass#FlightClass`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/wallet_object.issuer`